For the complete documentation index, see llms.txt. This page is also available as Markdown.

List store cash reconciliations

List store cash reconciliations

Required permissions: TILL_OPERATION

get
/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
fromstring · dateOptional

Reconcilation date GTE

tostring · dateOptional

Reconciliation date LTE

Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations
GET /v2/tenants/{tenantUid}/stores/{storeUid}/cash-reconciliations HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "storeCashReconciliationUid": "text",
      "reconciliationDate": "2026-01-01",
      "balance": 1,
      "depositAmount": 1,
      "deposits": [
        {
          "cashDepositUid": "text",
          "depositNumber": "text",
          "amount": 1,
          "depositedAt": "2026-01-01T00:00:00.000Z",
          "denominations": [
            {
              "currencyCode": "text",
              "denomination": 1,
              "material": "COIN",
              "quantityCounted": 1,
              "amount": 1
            }
          ],
          "reconciliations": [
            {
              "storeCashReconciliationUid": "text",
              "reconciliationDate": "2026-01-01",
              "depositAmount": 1,
              "status": "IN_PROGRESS"
            }
          ]
        }
      ],
      "status": "IN_PROGRESS",
      "note": "text",
      "tenantUserUid": "text",
      "tenantUserDisplayName": "text",
      "review": {
        "reviewedAt": "2026-01-01T00:00:00.000Z",
        "approved": true,
        "note": "text",
        "tenantUserUid": "text",
        "tenantUserDisplayName": "text"
      },
      "cashReports": [
        {
          "tillUid": "text",
          "tillName": "text",
          "tillNumber": 1,
          "bankdepositAmount": 1,
          "bankdepositReference": "text",
          "cashDifferenceAmount": 1,
          "cashRevenueAmount": 1,
          "cashreportUid": "text",
          "changeAmount": 1,
          "closedAt": "2026-01-01T00:00:00.000Z",
          "closedByDisplayName": "text",
          "comment": "text",
          "countedAmount": 1,
          "openAt": "2026-01-01T00:00:00.000Z",
          "openByDisplayName": "text",
          "status": "OPEN",
          "withdrawalAmount": 1,
          "cashDetailsAtOpen": [
            {
              "currencyCode": "text",
              "denomination": 1,
              "material": "COIN",
              "quantityCounted": 1,
              "amount": 1
            }
          ],
          "cashDetailsAtClose": [
            {
              "currencyCode": "text",
              "denomination": 1,
              "material": "COIN",
              "quantityCounted": 1,
              "amount": 1
            }
          ]
        }
      ],
      "createdBy": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?